import request from '@/utils/httpRequest'

export default class reimbursementBusinessTwoService {
  findList (params) {
    return request({
      url: '/reimbursementBusiness/findList',
      method: 'get',
      params: params
    })
  }

  findListByBusinessCodeId (id) {
    return request({
      url: '/reimbursementBusiness/findListByBusinessCodeId',
      method: 'get',
      params: {id: id}
    })
  }

  save (inputForm) {
    return request({
      url: `/reimbursementBusinessTwo/addData`,
      method: 'post',
      data: inputForm
    })
  }

  delete (ids) {
    return request({
      url: '/reimbursementUser/delete',
      method: 'delete',
      params: {ids: ids}
    })
  }

  queryById (id) {
    return request({
      url: `/reimbursementUser/queryById`,
      method: 'get',
      params: {id: id}
    })
  }

  getBusinessById (id) {
    return request({
      url: `/reimbursementBusiness/getBusinessById`,
      method: 'get',
      params: {id: id}
    })
  }
  yearList (params) {
    return request({
      url: '/reimbursementBusiness/getYearList',
      method: 'get',
      params: params
    })
  }
}
